### Method

# ICalGLib Component take_property

since: 1.0

#### Declaration [src]

    void
    i_cal_component_take_property (
      ICalComponent* component,
      ICalProperty* property
    )

#### Description [src]

Adds the `property` into the `component` and unrefs the `property`.

Available since: 1.0

This method is not directly available to language bindings.

#### Parameters

`property`

  Type: `ICalProperty`

  An `ICalProperty`.

  The instance takes ownership of the data, and is responsible for freeing it.